版本说明 - v2.4.7

Rancher 2.4.7 版本于 2020 年 9 月 2 日发布。Rancher 2.4.7 解决了 Rancher v2.4.6 中新引入的设置(auth-token-max-ttl-minutes)有关的问题。除了以下变化,版本说明与 v2.4.6 相同。点击这里查看英文版版本说明。

  • 修复了 v2.4.6 中引入的新设置 auth-token-max-ttl-minutes 导致在 v2.4.6 中创建的新 API 令牌默认在 24 小时内失效的问题。该设置现在默认为 0,允许令牌永不过期,与 v2.4.5 类似,#28668

  • 修正了一个用户界面问题,如果 API 令牌以非零 TTL 创建,他们会有错误的到期时间戳,并且在 v2.4.6 中引入的新设置 auth-token-max-ttl-minutes 被设置为 0(永不过期)#28678

解决安全漏洞

重要说明

  • 请阅读v2.4.0 版本说明中的重要更新和重大改动的说明

  • Kubernetes 1.18 现在为默认版本 [#25117]: Kubernetes 1.18 现在为默认版本。在任何时候升级 Kubernetes 版本之前,请阅读 Kubernetes 的版本说明,来了解重要变更。

  • 使用单节点 Docker 安装的用户请注意: Docker 容器中的 Etcd 已从 3.3 升级到了 3.4,因此,您必须在升级之前进行备份,以便能够回滚到 v2.3.x 版本。没有此备份,将无法回滚。

  • 使用节点池功能,并使用 RHEL/CentOS 的用户请注意 [#18065]: RHEL / CentOS 节点的默认存储驱动已更新为overlay2。如果您的节点模板未指定存储驱动,则在使用该模版创建新节点时,将使用默认值overlay2而不是之前的devicemapper作为存储驱动。如果您需要继续使用devicemapper作为存储驱动选项,请编辑节点模板,并将存储驱动显式设置为 devicemapper

  • 使用 Windows 集群的用户请注意 [#25582]: Windows 已于 2 月 11 日发布了安全补丁程序。升级之前,请更新您的节点以包括此安全补丁程序,否则,升级将失败,直到您使用该补丁程序为止。

  • Rancher 部署的集群(RKE 集群)需要额外的 500MB 磁盘空间 Rancher 部署的集群(RKE 集群)默认开启了审计日志功能。

  • Rancher 部署的集群(RKE 集群)升级方式发生了变化 [#23897]: 请参考零宕机升级功能以了解更多信息。

版本

下面的版本为当前的最新版和稳定版:

类型Rancher 版本Docker 标签Helm 仓库Helm Chart 版本
最新版v2.4.7rancher/rancher:latestserver-charts/latestv2.4.7
稳定版v2.4.7rancher/rancher:stableserver-charts/stablev2.4.7

您可以通过如何选择版本的文档,了解更多关于不同版本和标签的区别。

功能和优化

Kubeconfig API 令牌现在支持 TTL[#28378]。

自 v2.4.5 以来修复的主要问题

  • Windows 集群现在支持前缀路径,并且通过新的 win_configs 只支持 Windows 的 args/env/binds[#28413]、[#25108]。

  • 改进了删除 RKE 模板的操作[26861]。

  • 修正了一些 S3 Bucket 供应商(如 NetApp StorageGRID)的 ETCD 快照恢复[27608]。

自 v2.4.5 以来修复的小问题

  • 修正了从本地目录安装 Helm 图表时的授权错误 #23832

  • 超时:在 k8s v1.18 上修正了资源版本列表过大的错误 #28477

  • Kiali Traffic Graphs 1.5.x 可用 #28109

  • Rancher Kubernetes Auth Proxy 现在利用转发代理 #25488

  • 修正了 cli 和--format 标志的一个错误 #27661

  • 修正了 cli 和--value 标志的一个错误 #27346

  • 修正了一个编辑多集群应用程序的错误 #27416

  • 修正了一个 draining 节点的错误 #23333

  • 修正了一个节点池的错误,非创建者也可以缩放节点池#27031

  • 修正了一个加密 Azure AD 密钥的错误。 #27774

  • 超出上下文最后期限而导致日志被淹没的超时延长 #27736

  • RKE 快照现在可以存储用于备份还原的证书 #1336

  • 配置地图和秘密的名称中现在接受“.”符号 #25955

  • 修正了一些用户界面问题

其他说明

  • Rancher 机器创建的节点现在默认为 overlay2 文件系统 #27414

  • 默认 CIS 扫描版本改为 v1.5 #27446

  • EC2 节点模板现在支持 KMS 加密密钥 #27965

  • EC2 Node 模板现在支持 MetadataOptions #25078

  • 新增通知方式:Microsoft Teams #15802

  • Cluster API lister 现在使用 auth cache 来提高速度 #27192

离线安装和升级

在 v2.4.0 的版本里,离线安装将不在需要手动同步 system charts 的源代码仓库了。具体操作请参阅有关安装 Rancher 时,如何使用内嵌的 system charts

主要的已知问题

  • 启用 Grafana 和持久存储时,升级监控工具会导致 pod 无法启动。解决方法请参考[#27450]。

  • 将新的 chart 版本添加到 Helm3 应用商店的时候,升级时默认使用的是 Helm2 而不是 Helm3,导致出现 API 错误。解决方法请参考[27252]。

  • 使用监控时,升级 Kubernetes 版本会删除 API Server Request Rate 监控参数#27267]。

版本信息

镜像

  • rancher/rancher:v2.4.7
  • rancher/rancher-agent:v2.4.7

工具

Kubernete 版本

升级和回滚

Rancher 支持升级回滚操作。在修改 Rancher 版本时,请先确认您要升级到或者回滚到的 Rancher 版本。

请注意,在升级到 v2.3.0 或者以上版本时,第一次修改通过 Rancher v2.3.0 之前版本部署的 RKE 集群时,由于要向系统组件中加入 Tolerations,该集群全部的系统组件将会自动重启。请事先规划好。

如果您的 Rancher HA 在使用 低于 v0.9.1 的 cert-manager,并且是自签名证书,由于 cert-manager 最新的变化,您需要升级 cert-manager 的版本。具体操作请参阅有关如何升级 cert-manager的文档。

重要:回滚时,我们建议回滚至升级前的状态,Rancher 不会保留回滚前的修改。

Assets

请在这里获取该版本的 Assets。

最后由 yzeng25更新 于